diff --git a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
index 1142ba44..2d0b0015 100644
--- a/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
+++ b/drupal7/sites/all/modules/ldap/ldap_user/ldap_user.module
@@ -742,29 +731,26 @@ function ldap_user_is_ldap_associated($account, $direction = NULL) {
     return ($to_ldap_entry || $to_drupal_user);
   }
 
-
-
-
 }
+
 /**
- * api function for synching
- * note: does no checking if synching is enabled or configured for a given context
+ * Api function for synching
+ * note: does no checking if synching is enabled or configured for a given context.
  */
-
 function ldap_user_synch_to_drupal($username, $prov_event = LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, $ldap_user = NULL) {
 
   $ldap_user_conf = ldap_user_conf();
   $account = user_load_by_name($username);
-  $user_edit = array();
+  $user_edit = [];
   $ldap_user_conf->synchToDrupalAccount($account, $user_edit, $prov_event, $ldap_user, TRUE);
 
 }
 
 /**
- * api function for ldap associated user provisioning
- * note: does no checking if synching is enabled or configured for a given context
+ * Api function for ldap associated user provisioning
+ * note: does no checking if synching is enabled or configured for a given context.
  */
-function ldap_user_provision_to_drupal($ldap_user, $user_edit = array()) {
+function ldap_user_provision_to_drupal($ldap_user, $user_edit = []) {
 
   $sid = $ldap_user['sid'];
   $ldap_user_conf = ldap_user_conf();
@@ -773,22 +759,18 @@ function ldap_user_provision_to_drupal($ldap_user, $user_edit = array()) {
 
 }
 
-
 /**
- * function to:
+ * Function to:
  *   -- store user entered password during pageload
- *   and protect unencrypted user password from other modules
+ *   and protect unencrypted user password from other modules.
  *
- *   @param enum string $action 'get' | 'set'
- *   @param string | FALSE $value as user entered password
+ * @param enum string $action
+ *   'get' | 'set'.
+ * @param string | FALSE $value
+ *   as user entered password.
  */
 function ldap_user_ldap_provision_pwd($action, $value = NULL, $reset = FALSE) {
 
-  //$calling_function = FALSE;
-  //if (function_exists('debug_backtrace') && $backtrace = debug_backtrace()) { //   {
-  //  $calling_function = $backtrace[1]['function'];
-  //}
-
   static $current_user_pass;
 
   if ($reset) {
@@ -799,7 +781,6 @@ function ldap_user_ldap_provision_pwd($action, $value = NULL, $reset = FALSE) {
     $current_user_pass = $value;
   }
   elseif ($action == 'get' && $current_user_pass) {
-       // && (!$calling_function || $calling_function == 'ldap_servers_token_tokenize_user_account')
     return $current_user_pass;
   }
   else {
@@ -808,21 +789,23 @@ function ldap_user_ldap_provision_pwd($action, $value = NULL, $reset = FALSE) {
 
 }
 
-
-
 /**
- * function to avoid multiple synch or provision in same page load (if desired)
+ * Function to avoid multiple synch or provision in same page load (if desired)
+ *
+ * @param enum string $action
+ *   'synch' | 'provision' | 'set_page_load_key' | NULL.
+ * @param enum string $op
+ *   = 'set' or 'get'.
  *
- *   @param enum string $action 'synch' | 'provision' | 'set_page_load_key' | NULL
- *   @param enum string $op = 'set' or 'get'
- *   @value mixed value associate with $op.
+ * @value mixed value associate with $op.
+ *
+ * @return bool|void
  */
-
-
 function ldap_user_ldap_provision_semaphore($action, $op, $value = NULL, $reset = FALSE) {
 
   $calling_function = FALSE;
-  if (function_exists('debug_backtrace') && $backtrace = debug_backtrace()) { //   {
+  // {.
+  if (function_exists('debug_backtrace') && $backtrace = debug_backtrace()) {
     $calling_function = $backtrace[1]['function'];
   }
 
@@ -830,11 +813,11 @@ function ldap_user_ldap_provision_semaphore($action, $op, $value = NULL, $reset
   static $intialized;
 
   if ($reset || !$intialized) {
-    $ldap_accts = array();
+    $ldap_accts = [];
     $intialized = TRUE;
   }
 
-   // mark that the given drupal user has had ldap entry synched or provisioned on this page load.
+  // Mark that the given drupal user has had ldap entry synched or provisioned on this page load.
   if ($op == 'set') {
     if ($action && $value) {
       $ldap_accts[$action][$value] = TRUE;
@@ -842,7 +825,7 @@ function ldap_user_ldap_provision_semaphore($action, $op, $value = NULL, $reset
     return;
   }
 
-  // has the given drupal user x action (synch or provision) been executed.
+  // Has the given drupal user x action (synch or provision) been executed.
   if ($op == 'get') {
     if ($action && $value && isset($ldap_accts[$action][$value])) {
       return $ldap_accts[$action][$value];
@@ -854,7 +837,6 @@ function ldap_user_ldap_provision_semaphore($action, $op, $value = NULL, $reset
 
 }
 
-
 /**
  * Implements hook_user_login().
  */
@@ -864,15 +846,15 @@ function ldap_user_user_login(&$edit, $account) {
     return;
   }
   $ldap_user_conf = ldap_user_conf();
-  $user_edit = array();
+  $user_edit = [];
 
   ldap_user_reset_provision_server($ldap_user_conf, $account);
 
-   // provision or synch to ldap, not both
-  $provision_result = array('status' => 'none');
+  // Provision or synch to ldap, not both.
+  $provision_result = ['status' => 'none'];
 
-   // provision to ldap
-  // if ($account->access == 0 && $account->login != 0) {} check for first time user
+  // Provision to ldap
+  // Check for first time user.
   if (
       $ldap_user_conf->provisionsLdapEntriesFromDrupalUsers
       && ldap_user_ldap_provision_semaphore('provision', 'get', $account->name) === FALSE
@@ -885,10 +867,10 @@ function ldap_user_user_login(&$edit, $account) {
       ldap_user_ldap_provision_semaphore('provision', 'set', $account->name);
     }
   }
-  // don't synch if just provisioned
+  // don't synch if just provisioned.
   if (
     $ldap_user_conf->provisionsLdapEntriesFromDrupalUsers
-    && ldap_user_ldap_provision_semaphore('synch', 'get' , $account->name) === FALSE
+    && ldap_user_ldap_provision_semaphore('synch', 'get', $account->name) === FALSE
     && $provision_result['status'] != 'success'
     && $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE)
     ) {
@@ -900,14 +882,15 @@ function ldap_user_user_login(&$edit, $account) {
 
   $prov_enabled = $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE);
 
-  // Provision from LDAP if a new account was not just provisioned from LDAP
+  // Provision from LDAP if a new account was not just provisioned from LDAP.
   if (ldap_user_ldap_provision_semaphore('drupal_created', 'get', $account->name) === FALSE) {
     if ($ldap_user_conf->provisionsDrupalAccountsFromLdap && in_array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, array_keys($ldap_user_conf->provisionsDrupalEvents))) {
       $ldap_user = ldap_servers_get_user_ldap_data($account->name, $ldap_user_conf->drupalAcctProvisionServer, 'ldap_user_prov_to_drupal');
       if ($ldap_user) {
         $ldap_server = ldap_servers_get_servers($ldap_user_conf->drupalAcctProvisionServer, NULL, TRUE);
-        $ldap_user_conf->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER));
-        if (empty($account->picture->fid)) { // see #1973352 and #935592
+        $ldap_user_conf->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER]);
+        // See #1973352 and #935592.
+        if (empty($account->picture->fid)) {
           $account2 = user_load($account->uid);
           $account->picture = $account2->picture;
         }
@@ -918,18 +901,17 @@ function ldap_user_user_login(&$edit, $account) {
 
 }
 
-
 /**
  * Implements hook_user_insert().
- *
  */
 function ldap_user_user_insert(&$user_edit, $account, $category) {
 
   global $user;
   $not_associated = ldap_user_ldap_exclude($account, $user_edit);
-  $new_account_request = (boolean)($user->uid == 0 && $account->access == 0 && $account->login == 0); // check for first time user
-  $already_provisioned_to_ldap = ldap_user_ldap_provision_semaphore('provision', 'get' , $account->name);
-  $already_synched_to_ldap = ldap_user_ldap_provision_semaphore('synch', 'user_action_query' , $account->name);
+  // Check for first time user.
+  $new_account_request = (boolean) ($user->uid == 0 && $account->access == 0 && $account->login == 0);
+  $already_provisioned_to_ldap = ldap_user_ldap_provision_semaphore('provision', 'get', $account->name);
+  $already_synched_to_ldap = ldap_user_ldap_provision_semaphore('synch', 'user_action_query', $account->name);
   if ($not_associated || $already_synched_to_ldap || $already_synched_to_ldap || $new_account_request) {
     return;
   }
@@ -939,7 +921,7 @@ function ldap_user_user_insert(&$user_edit, $account, $category) {
    * in hook_user_insert, account is already created, so never call provisionDrupalAccount(), just
    * synchToDrupalAccount(), even if action is 'provision'
    */
-  $empty_user_edit = array();
+  $empty_user_edit = [];
   if ($account->status && $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE)) {
     $ldap_user_conf->synchToDrupalAccount($account, $empty_user_edit, LDAP_USER_EVENT_CREATE_DRUPAL_USER, NULL, TRUE);
   }
@@ -953,7 +935,7 @@ function ldap_user_user_insert(&$user_edit, $account, $category) {
         if ($provision_result['status'] == 'success') {
           ldap_user_ldap_provision_semaphore('provision', 'set', $account->name);
         }
-       }
+      }
       elseif ($ldap_provision_entry) {
         $bool_result = $ldap_user_conf->synchToLdapEntry($account, $user_edit);
         if ($bool_result) {
@@ -967,35 +949,35 @@ function ldap_user_user_insert(&$user_edit, $account, $category) {
 /**
  * Implements hook_user_update()
  */
-
 function ldap_user_user_update(&$user_edit, $account, $category) {
   if (ldap_user_ldap_exclude($account, $user_edit)) {
     return;
   }
 
   $ldap_user_conf = ldap_user_conf();
-  // check for provisioning to LDAP; this will normally occur on hook_user_insert or other event when drupal user is created.
+  // Check for provisioning to LDAP; this will normally occur on hook_user_insert or other event when drupal user is created.
   if ($ldap_user_conf->provisionsLdapEntriesFromDrupalUsers &&
       $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE)) {
 
-    $already_provisioned_to_ldap = ldap_user_ldap_provision_semaphore('provision', 'get' , $account->name);
-    $already_synched_to_ldap = ldap_user_ldap_provision_semaphore('synch', 'get' , $account->name);
+    $already_provisioned_to_ldap = ldap_user_ldap_provision_semaphore('provision', 'get', $account->name);
+    $already_synched_to_ldap = ldap_user_ldap_provision_semaphore('synch', 'get', $account->name);
     if ($already_provisioned_to_ldap || $already_synched_to_ldap) {
       return;
     }
 
-    $provision_result = array('status' => 'none');
-    // always check if provisioning to ldap has already occurred this page load
+    $provision_result = ['status' => 'none'];
+    // Always check if provisioning to ldap has already occurred this page load.
     $ldap_entry = $ldap_user_conf->getProvisionRelatedLdapEntry($account);
-    if (!$ldap_entry) { //{
+    // {.
+    if (!$ldap_entry) {
       $provision_result = $ldap_user_conf->provisionLdapEntry($account);
       if ($provision_result['status'] == 'success') {
         ldap_user_ldap_provision_semaphore('provision', 'set', $account->name);
       }
     }
-    // synch if not just provisioned and enabled
-    if ($provision_result['status'] != 'success' ) {
-      // always check if provisioing to ldap has already occurred this page load
+    // Synch if not just provisioned and enabled.
+    if ($provision_result['status'] != 'success') {
+      // Always check if provisioing to ldap has already occurred this page load.
       $provision_enabled = $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE);
       $ldap_entry = $ldap_user_conf->getProvisionRelatedLdapEntry($account);
       if ($provision_enabled && $ldap_entry) {
@@ -1009,10 +991,9 @@ function ldap_user_user_update(&$user_edit, $account, $category) {
 
 }
 
- /**
+/**
  * Implements hook_user_presave()
  */
-
 function ldap_user_user_presave(&$user_edit, $account, $category) {
 
   if (ldap_user_ldap_exclude($account, $user_edit)) {
@@ -1031,8 +1012,8 @@ function ldap_user_user_presave(&$user_edit, $account, $category) {
 
   ldap_user_reset_provision_server($ldap_user_conf, $account);
 
-  // check for provisioning to drupal and override synched user fields/props
-  // Provision from LDAP if a new account was not just provisioned from LDAP
+  // Check for provisioning to drupal and override synched user fields/props
+  // Provision from LDAP if a new account was not just provisioned from LDAP.
   if (ldap_user_ldap_provision_semaphore('drupal_created', 'get', $drupal_username) === FALSE) {
     if ($ldap_user_conf->provisionsDrupalAccountsFromLdap && in_array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER, array_keys($ldap_user_conf->provisionsDrupalEvents))) {
       if ($ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE)) {
@@ -1040,7 +1021,7 @@ function ldap_user_user_presave(&$user_edit, $account, $category) {
           $ldap_user = ldap_servers_get_user_ldap_data($drupal_username, $ldap_user_conf->drupalAcctProvisionServer, 'ldap_user_prov_to_drupal');
           if ($ldap_user) {
             $ldap_server = ldap_servers_get_servers($ldap_user_conf->drupalAcctProvisionServer, NULL, TRUE);
-            $ldap_user_conf->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, array(LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER));
+            $ldap_user_conf->entryToUserEdit($ldap_user, $user_edit, $ldap_server, LDAP_USER_PROV_DIRECTION_TO_DRUPAL_USER, [LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER]);
           }
         }
       }
@@ -1053,36 +1034,36 @@ function ldap_user_user_presave(&$user_edit, $account, $category) {
  * Implements hook_user_delete().
  */
 function ldap_user_user_delete($account) {
-  // drupal user account is about to be deleted.
+  // Drupal user account is about to be deleted.
   $ldap_user_conf = ldap_user_conf();
   if (
       $ldap_user_conf->provisionsLdapEntriesFromDrupalUsers
       && $ldap_user_conf->provisionEnabled(LDAP_USER_PROV_DIRECTION_TO_LDAP_ENTRY, LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE)
       ) {
     $boolean_result = $ldap_user_conf->deleteProvisionedLdapEntries($account);
-    // no need to watchdog here, because fail in deleteProvisionedLdapEntries provides watchdog entry
+    // No need to watchdog here, because fail in deleteProvisionedLdapEntries provides watchdog entry.
   }
 }
 
 /**
  * Implements hook_field_widget_info().
- * to provide field type for LDAP fields
+ * to provide field type for LDAP fields.
  */
 function ldap_user_field_widget_info() {
-  return array(
-    'ldap_user_hidden' => array(
+  return [
+    'ldap_user_hidden' => [
       'label' => t('Hidden Text Field'),
-      'field types' => array('text'),
-      'settings' => array(),
-    ),
-  );
+      'field types' => ['text'],
+      'settings' => [],
+    ],
+  ];
 }
 
 /**
  * Implements hook_field_widget_settings_form().
  */
 function ldap_user_field_widget_settings_form($field, $instance) {
-  return array();
+  return [];
 }
 
 /**
@@ -1090,46 +1071,52 @@ function ldap_user_field_widget_settings_form($field, $instance) {
  */
 function ldap_user_field_widget_form(&$form, &$form_state, $field, $instance, $langcode, $items, $delta, $element) {
 
-  $main_widget = array();
+  $main_widget = [];
 
   switch ($instance['widget']['type']) {
     case 'ldap_user_hidden':
-      $element['value'] = $element + array(
+      $element['value'] = $element + [
         '#type' => 'value',
         '#value' => isset($items[$delta]['value']) ? $items[$delta]['value'] : NULL,
-        '#attached' => array(
-          'css' => array(
+        '#attached' => [
+          'css' => [
             drupal_get_path('module', 'ldap_user') . '/ldap_user.css',
-          ),
-        ),
-      );
+          ],
+        ],
+      ];
       break;
   }
 
   return $element;
 }
 
+/**
+ *
+ */
 function ldap_user_synch_triggers_key_values() {
 
-  return array(
+  return [
     LDAP_USER_DRUPAL_USER_PROV_ON_USER_UPDATE_CREATE => t('On synch to Drupal user create or update. Requires a server with binding method of "Service Account Bind" or "Anonymous Bind".'),
     LDAP_USER_DRUPAL_USER_PROV_ON_AUTHENTICATE => t('On create or synch to Drupal user when successfully authenticated with LDAP credentials. (Requires LDAP Authentication module).'),
     LDAP_USER_DRUPAL_USER_PROV_ON_ALLOW_MANUAL_CREATE => t('On manual creation of Drupal user from admin/people/create and "Create corresponding LDAP entry" is checked'),
     LDAP_USER_LDAP_ENTRY_PROV_ON_USER_UPDATE_CREATE => t('On creation or synch of an LDAP entry when a Drupal account is created or updated. Only applied to accounts with a status of approved.'),
     LDAP_USER_LDAP_ENTRY_PROV_ON_AUTHENTICATE => t('On creation or synch of an LDAP entry when a user authenticates.'),
     LDAP_USER_LDAP_ENTRY_DELETE_ON_USER_DELETE => t('On deletion of an LDAP entry when the corresponding Drupal Account is deleted.  This only applies when the LDAP entry was provisioned by Drupal by the LDAP User module.'),
-  );
+  ];
 
 }
 
+/**
+ *
+ */
 function ldap_user_all_events() {
-  return array(
+  return [
     LDAP_USER_EVENT_SYNCH_TO_DRUPAL_USER,
     LDAP_USER_EVENT_CREATE_DRUPAL_USER,
     LDAP_USER_EVENT_SYNCH_TO_LDAP_ENTRY,
     LDAP_USER_EVENT_CREATE_LDAP_ENTRY,
     LDAP_USER_EVENT_LDAP_ASSOCIATE_DRUPAL_ACCT,
-  );
+  ];
 
 }
 
@@ -1138,7 +1125,6 @@ function ldap_user_all_events() {
  * @param string $text
  * @return string text with tokens replaced
  */
-
 function ldap_user_token_replace($token, $account, $entity = NULL) {
   $desired_tokens = ldap_servers_token_tokens_needed_for_template($token);
   $tokens = ldap_user_token_tokenize_entry($account, $desired_tokens, LDAP_SERVERS_TOKEN_PRE, LDAP_SERVERS_TOKEN_POST, $entity);
@@ -1146,12 +1132,12 @@ function ldap_user_token_replace($token, $account, $entity = NULL) {
   return $result;
 }
 
-
-
 /**
- * Turn an ldap entry into a token array suitable for the t() function
+ * Turn an ldap entry into a token array suitable for the t() function.
+ *
  * @param drupal user object $account
- * @param array $token_keys as list of token/value pairs to generate
+ * @param array $token_keys
+ *   as list of token/value pairs to generate.
  * @param string prefix token prefix such as !,%,[
  * @param string suffix token suffix such as ]
  *
@@ -1160,13 +1146,13 @@ function ldap_user_token_replace($token, $account, $entity = NULL) {
 function ldap_user_token_tokenize_entry($account, $token_keys, $pre = LDAP_SERVERS_TOKEN_PRE, $post = LDAP_SERVERS_TOKEN_POST, $user_entity = NULL) {
 
   $detailed_watchdog_log = variable_get('ldap_help_watchdog_detail', 0);
-  $tokens = array();
+  $tokens = [];
   if (!$user_entity) {
     list($discard, $user_entity) = ldap_user_load_user_acct_and_entity($account->uid, 'uid');
   }
 
   foreach ($token_keys as $token_key) {
-    // target id is of form field.lname, property.mail, field.dept:0, etc.
+    // Target id is of form field.lname, property.mail, field.dept:0, etc.
     list($type, $attr_ordinal) = explode('.', $token_key);
     $parts = explode(':', $attr_ordinal);
     $attr = $parts[0];
@@ -1175,17 +1161,16 @@ function ldap_user_token_tokenize_entry($account, $token_keys, $pre = LDAP_SERVE
     switch ($type) {
 
       case 'field':
-        if (isset( $user_entity->{$attr}[LANGUAGE_NONE][$ordinal]['value'])) {
+        if (isset($user_entity->{$attr}[LANGUAGE_NONE][$ordinal]['value'])) {
           $tokens[$token] = $user_entity->{$attr}[LANGUAGE_NONE][$ordinal]['value'];
         }
-      break;
-
+        break;
 
       case 'property':
         if (property_exists($account, $attr)) {
           $tokens[$token] = $account->{$attr};
         }
-      break;
+        break;
 
       // @todo: 3. tokenize profile 2
     }
@@ -1195,41 +1180,42 @@ function ldap_user_token_tokenize_entry($account, $token_keys, $pre = LDAP_SERVE
   return $tokens;
 }
 
-  /**
-   * load user $account and $entity, given uid or $username
-   *
-   * @param string $user_id is username or uid
-   * @param enum $user_id_type is 'username' or 'uid'
-   *
-   * return array $account and $user_entity
-   */
-
-  function ldap_user_load_user_acct_and_entity($user_id, $user_id_type = 'username') {
+/**
+ * Load user $account and $entity, given uid or $username.
+ *
+ * @param string $user_id
+ *   is username or uid.
+ * @param enum $user_id_type
+ *   is 'username' or 'uid'
+ *
+ *   return array $account and $user_entity.
+ */
+function ldap_user_load_user_acct_and_entity($user_id, $user_id_type = 'username') {
 
-    if ($user_id_type == 'username') {
-      $account = user_load_by_name($user_id);
-    }
-    else {
-      $account = user_load($user_id);
-    }
-    if ($account) {
-      $user_entities = entity_load('user', array($account->uid));
-      $user_entity = $user_entities[$account->uid];
-    }
-    else {
-      $user_entity = NULL;
-    }
+  if ($user_id_type == 'username') {
+    $account = user_load_by_name($user_id);
+  }
+  else {
+    $account = user_load($user_id);
+  }
+  if ($account) {
+    $user_entities = entity_load('user', [$account->uid]);
+    $user_entity = $user_entities[$account->uid];
+  }
+  else {
+    $user_entity = NULL;
+  }
 
-    return array($account, $user_entity);
+  return [$account, $user_entity];
 
-  }
+}
 
 /**
  * Implements hook_ldap_servers_username_to_ldapname_alter
- * - Set ldap name to auth name
+ * - Set ldap name to auth name.
  */
 function ldap_user_ldap_servers_username_to_ldapname_alter(&$ldap_username, $drupal_username, $context) {
-  // Alter the name only if it has not been altered already, ie php eval code
+  // Alter the name only if it has not been altered already, ie php eval code.
   if ($ldap_username == $drupal_username) {
     $authname = ldap_user_get_authname($ldap_username);
     if (!empty($authname)) {
@@ -1246,40 +1232,40 @@ function ldap_user_ldap_servers_username_to_ldapname_alter(&$ldap_username, $dru
  *   - object: user account object
  *   - string: username
  *
- * @return string|NULL
+ * @return string|null
  *   Returns the LDAP authname of the passed Drupal user.
  */
 function ldap_user_get_authname($data) {
-  $cache = &drupal_static(__FUNCTION__, array());
+  $cache = &drupal_static(__FUNCTION__, []);
 
   $authname = NULL;
   $uid = NULL;
 
   if (is_object($data)) {
-    // Object - set uid if object has uid and uid > 0
+    // Object - set uid if object has uid and uid > 0.
     if (!empty($data->uid)) {
       $uid = $data->uid;
     }
   }
   else {
-    // String - load account and set uid if uid > 0
+    // String - load account and set uid if uid > 0.
     $account = user_load_by_name($data);
     if (!empty($account->uid)) {
       $uid = $account->uid;
     }
   }
 
-  // Exit if no uid found
+  // Exit if no uid found.
   if (empty($uid)) {
     return NULL;
   }
 
-  // Run query if uid is not statically cached
+  // Run query if uid is not statically cached.
   if (!array_key_exists($uid, $cache)) {
-    $authname = db_query('SELECT authname FROM {authmap} WHERE uid = :uid AND module = :module', array(
+    $authname = db_query('SELECT authname FROM {authmap} WHERE uid = :uid AND module = :module', [
       ':uid' => $uid,
       ':module' => 'ldap_user',
-    ))->fetchField();
+    ])->fetchField();
 
     $cache[$uid] = !empty($authname) ? $authname : NULL;
   }
